---
title: Sets the status of the batch to ready using id.
slug: api-documentation/-LDG-sets-the-status-of-the-batch-to-ready-using-id
docTags: 
createdAt: 2026-08-27T16:58:51.938Z
---

{
  "id": "8zpuc8VffKLIjj5YAGITy",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/pim/batch/product-item/{id}/start-processing",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/pim/batch/product-item/{id}/start-processing"
      }
    ],
    "name": "Sets the status of the batch to ready using id.",
    "description": "<p>This endpoint is used to set status of the batch to ready. Batch can be marked READY only when existing status of the batch is MAPPING_COMPLETED.</p>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "optional",
          "name": "body",
          "type": "object",
          "description": "",
          "customType": "SitesRequest.json",
          "schema": [],
          "modelRef": "schemas/Batch/SitesRequest.json",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>(DEPRECATED) This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "204",
        "description": "File is ready to get processed.",
        "jsonExample": "",
        "isExpanded": true
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "YHDgS8vqt_SNIOFpDohO_",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/pim/batch/product-item/{id}/start-processing \\\n     --header 'accept: application/json'"
        },
        {
          "id": "lgLV22xFoWlgposh_FUwU",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/pim/batch/product-item/{id}/start-processing\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "EcCtKneG34j3mHRr01Vp0",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/pim/batch/product-item/{id}/start-processing\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "uV6mql5TyEdY3kWnC8l17",
          "language": "python",
          "label": "Python",
          "code": "import requests\n\nurl = \"https://api.upstartcommerce.com/pim/batch/product-item/{id}/start-processing\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "YHDgS8vqt_SNIOFpDohO_"
    },
    "results": {
      "languages": [
        {
          "id": "_UU16QsZXaWVmp2dJxj62",
          "language": "204",
          "code": "// File is ready to get processed.\n"
        }
      ],
      "selectedLanguageId": "_UU16QsZXaWVmp2dJxj62"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}